Package: groovy.console.ui

## [Groovy] Class ConsoleIvyPlugin

- groovy.console.ui.ConsoleIvyPlugin

-     class ConsoleIvyPlugin
      extends Object

  Groovy Swing console. Adds Groovy Grape feedback (via an Ivy listener).

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<String>` | `downloadedArtifacts`
    `Set<String>` | `resolvedDependencies`
    `Console` | `savedConsole`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConsoleIvyPlugin()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `addListener(Console console)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### Set<String> downloadedArtifacts

    - #### Set<String> resolvedDependencies

    - #### Console savedConsole

  - ### Constructor Detail

    - #### ConsoleIvyPlugin()

  - ### Method Detail

    - #### Object addListener(Console console)